#!/bin/sh

# Set the username variable for logging into CVS
echo -n "Please enter your username: "
read USERNAME

# Set the tagname variable for exporting the appropriate Interpreter snapshot
echo -n "Please enter a CVS tag name or type HEAD for the current source: "
read TAGNAME

#Set the version variable for exporting the appropriate Interpreter version
echo -n "Please enter the Interpreter version number (ex: 4 or 5): "
read INTERPRETER_VERSION

# Do some house cleaning
rm -rf /home/rpmbuild/exportdir/${TAGNAME}
mkdir /home/rpmbuild/exportdir/${TAGNAME}
cd /home/rpmbuild/exportdir/${TAGNAME}

# Log into CVS and export the Interpreter
cvs -d:pserver:${USERNAME}@cvs.developer.mitre.org:/cvsroot/oval login
cvs -d:pserver:${USERNAME}@cvs.developer.mitre.org:/cvsroot/oval export -d Interpreters -r ${TAGNAME} tools/Interpreters/v${INTERPRETER_VERSION}

# Create a destination directory for the object files
mkdir -p /home/rpmbuild/exportdir/${TAGNAME}/Interpreters/project/linux/Release/obj

# Re-constitute the tarball and build the rpms.
sudo tar -cjvf /usr/src/redhat/SOURCES/Interpreters.tbz2 Interpreters
                                  
sudo rpmbuild -ba /usr/src/redhat/SPECS/ovaldi.spec

VERSION=`grep "define version" /usr/src/redhat/SPECS/ovaldi.spec | awk '{print $3}'`
RELEASE=`grep "define release" /usr/src/redhat/SPECS/ovaldi.spec | awk '{print $3}'`


# Get the files
mkdir /home/rpmbuild/finished/${TAGNAME}
cp /usr/src/redhat/RPMS/i386/ovaldi-${VERSION}-${RELEASE}.i386.rpm /home/rpmbuild/finished/${TAGNAME}/
cp /usr/src/redhat/SRPMS/ovaldi-${VERSION}-${RELEASE}.src.rpm  /home/rpmbuild/finished/${TAGNAME}/
cp /usr/src/redhat/SOURCES/Interpreters.tbz2 /home/rpmbuild/finished/${TAGNAME}/
